## com.fasterxml.jackson.databind.introspect
Class MemberKey

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.MemberKey

    public final class MemberKey

extends Object

Helper class needed to be able to efficiently access class member functions (`Method`s and `Constructor`s) in `Map`s.

Constructor Summary
`MemberKey(Constructor<?> ctor)`
`MemberKey(Method m)`
`MemberKey(String name, Class<?>[] argTypes)`

Method Summary
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MemberKey

    public MemberKey(Method m)

### MemberKey

    public MemberKey(Constructor<?> ctor)

### MemberKey

    public MemberKey(String name,
                     Class<?>[] argTypes)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Copyright © 2012 fasterxml.com. All Rights Reserved.